# Enum Class Draw.EnumDrawType

java.lang.Object
java.lang.Enum<Draw.EnumDrawType>
org.jmol.shapespecial.Draw.EnumDrawType

All Implemented Interfaces:
  `Serializable, Comparable<Draw.EnumDrawType>, Constable`

Enclosing class:
  `Draw`

public static enum Draw.EnumDrawType extends Enum<Draw.EnumDrawType>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARC`
`ARROW`
`CIRCLE`
`CIRCULARPLANE`
`CURVE`
`CYLINDER`
`LINE`
`LINE_SEGMENT`
`MULTIPLE`
`NONE`
`PLANE`
`POINT`
`POLYGON`

## Method Summary

Modifier and Type
Method
Description
`static Draw.EnumDrawType`
`getType(int nPoints)`
`static Draw.EnumDrawType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Draw.EnumDrawType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MULTIPLE

public static final Draw.EnumDrawType MULTIPLE

### NONE

public static final Draw.EnumDrawType NONE

### POINT

public static final Draw.EnumDrawType POINT

### LINE

public static final Draw.EnumDrawType LINE

### PLANE

public static final Draw.EnumDrawType PLANE

### CYLINDER

public static final Draw.EnumDrawType CYLINDER

### ARROW

public static final Draw.EnumDrawType ARROW

### CIRCLE

public static final Draw.EnumDrawType CIRCLE

### CURVE

public static final Draw.EnumDrawType CURVE

### CIRCULARPLANE

public static final Draw.EnumDrawType CIRCULARPLANE

### ARC

public static final Draw.EnumDrawType ARC

### LINE_SEGMENT

public static final Draw.EnumDrawType LINE_SEGMENT

### POLYGON

public static final Draw.EnumDrawType POLYGON

## Method Details

### values

public static Draw.EnumDrawType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Draw.EnumDrawType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getType

public static Draw.EnumDrawType getType(int nPoints)